# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/crm/funil/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/crm/funil/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Crm\\Funil\\": "packages/crm/funil/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Crm\Funil\Providers\FunilServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Funil'  => Crm\Funil\Facades\Funil::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Crm\\FunilTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Crm\Funil\Providers\FunilServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Crm\Funil\Providers\FunilServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Crm\Funil\Providers\FunilServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/funil/{modulename}

**User**

    http://path-to-route-folder/user/funil/{modulename}

**Public**

    http://path-to-route-folder/funils


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/funil/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/funil/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/funil/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/funil/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/funil/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/funil/{modulename}/{slug}
    METHOD: GET