<?php

namespace Crm\Funil;

use User;

class Funil
{
    /**
     * $funil object.
     */
    protected $funil;

    /**
     * Constructor.
     */
    public function __construct(\Crm\Funil\Interfaces\FunilRepositoryInterface $funil)
    {
        $this->funil = $funil;
    }

    /**
     * Returns count of funil.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.funil.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->funil->pushCriteria(new \Litepie\Crm\Repositories\Criteria\FunilUserCriteria());
        }

        $funil = $this->funil->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('funil::' . $view, compact('funil'))->render();
    }
}
