<?php

namespace Crm\Funil\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class FunilTransformer extends TransformerAbstract
{
    public function transform(\Crm\Funil\Models\Funil $funil)
    {
        return [
            'id'                => $funil->getRouteKey(),
            'key'               => [
                'public'    => $funil->getPublicKey(),
                'route'     => $funil->getRouteKey(),
            ], 
            'Description'       => $funil->Description,
            'url'               => [
                'public'    => trans_url('funil/'.$funil->getPublicKey()),
                'user'      => guard_url('funil/funil/'.$funil->getRouteKey()),
            ], 
            'status'            => trans('app.'.$funil->status),
            'created_at'        => format_date($funil->created_at),
            'updated_at'        => format_date($funil->updated_at),
        ];
    }
}